<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";

	$id_bomba = $_POST['id_bomba'];

	$datos = " Ingresa a obtener_perifericos_isla de la bomba=".$id_bomba;	
		insertarLog($datos,$id_aplicacion);
		
	$id_isla =0;
	$id_turno =0;
	$array = array();
	$sentencia = $conexion->prepare("SELECT id_isla FROM bombas WHERE id_bomba=?");
	$sentencia->bind_param('s',$id_bomba);
	$sentencia->execute();

	$resultado = $sentencia->get_result();

	if($fila = $resultado->fetch_assoc())
	{
		$id_isla= $fila['id_isla'];
	}

	$sentencia->close();

	$sentencia = $conexion->prepare("SELECT max(id_turno) as turno FROM turnos");
	$sentencia->execute();

	$resultado = $sentencia->get_result();

	if($fila = $resultado->fetch_assoc())
	{
		$id_turno= $fila['turno'];

	}

	$sentencia->close();
/*
	if($id_isla==0)
	{
		echo response(1,"Isla incorrecta","");
		return;
	}*/
	if($id_turno==0)
	{

		$datos = " Turno incorrecto ";	
		insertarLog($datos,$id_aplicacion);
		echo response(1,"Turno incorrecto","");
		return;
	}

	if($id_bomba==0)
	{
		$sentencia = $conexion->prepare("select id_producto,nombre,clave_unidad,'0' as cantidad_final,precio,0 as id_isla,0 as id_turno from productos where clase=0");
	}
	else
	{
		$sentencia = $conexion->prepare("SELECT p.id_producto,p.nombre,p.clave_unidad,tp.cantidad_final,tp.precio,tp.id_isla,tp.id_turno FROM productos p left join (select id_producto,cantidad_final,id_isla,precio,id_turno from turnos_perifericos_detalle where id_turno=".$id_turno.") tp on tp.id_producto = p.id_producto where p.clase=0 and tp.cantidad_final>0 and tp.id_isla=".$id_isla);
	}
	
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	$cont=0;

	while($fila = $resultado->fetch_assoc())
	{
		$periferico['id_producto']=$fila['id_producto'];
		$periferico['nombre']=$fila['nombre'];
		$periferico['existencia']=$fila['cantidad_final'];
		$periferico['precio']=$fila['precio'];
		$periferico['id_isla']=$fila['id_isla'];
		$periferico['id_turno']=$fila['id_turno'];
		$periferico['unidad']=$fila['clave_unidad'];

		$array[$cont] = $periferico;
		$cont++;
	}

	$datos = " Se obtuvieron perifericos con exito. ";	
		insertarLog($datos,$id_aplicacion);
	echo response(0,"OK",$array);
	$sentencia->close();
	$conexion->close();


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}

?>